Support for version 5.x is discontinued

Starting with April 15th, 2019, Backup4all version 5.x is no longer supported. If you are still using version 1.x, 2.x, 3.x, 4.x or 5.x we highly recommend upgrading to the latest version. This will ensure you get the latest updates and email support.

Read More

Support for version 4.x (and previous) is discontinued

Starting with December 31st, 2015 Backup4all version 4.x, 3.x (and previous) are no longer supported. If you are still using version 3.x or 4.x we highly recommend an upgrade to the latest version.

Read More